## com.google.appengine.api.datastore
Interface DatastoreConfig

Deprecated. Use `DatastoreServiceConfig` instead.

    @Deprecated
    public interface DatastoreConfig

User-configurable properties of the datastore.

Field Summary
`static DatastoreConfig` `DEFAULT` Deprecated. Use `DatastoreServiceConfig` instead.

Method Summary
`ImplicitTransactionManagementPolicy` `getImplicitTransactionManagementPolicy()` Deprecated. Use `DatastoreServiceConfig.getImplicitTransactionManagementPolicy()`

Field Detail

### DEFAULT

    @Deprecated
    static final DatastoreConfig DEFAULT

  Deprecated. Use `DatastoreServiceConfig` instead.
  The default configuration for the datastore. This is the configuration that is used if no configuration is explicitly provided.

Method Detail

### getImplicitTransactionManagementPolicy

    @Deprecated
    ImplicitTransactionManagementPolicy getImplicitTransactionManagementPolicy()

  Deprecated. Use `DatastoreServiceConfig.getImplicitTransactionManagementPolicy()`

  Returns:
    The `ImplicitTransactionManagementPolicy` to use.